ovn-ctl(8)

NAME

ovn-ctl - Open Virtual Network northbound daemon lifecycle utility

SYNOPSIS

ovn-ctl [options] command

DESCRIPTION

This program is intended to be invoked internally by Open Virtual Network startup scripts. System administrators should not normally invoke it directly.

COMMANDS

start_northd
start_controller
start_controller_vtep
stop_northd
stop_controller
stop_controller_vtep
restart_northd
restart_controller
restart_controller_vtep
promote_ovnnb
promote_ovnsb
demote_ovnnb
demote_ovnsb
status_ovnnb
status_ovnsb
start_ovsdb
start_nb_ovsdb
start_sb_ovsdb
stop_ovsdb
stop_nb_ovsdb
stop_sb_ovsdb
restart_ovsdb
run_nb_ovsdb
run_sb_ovsdb

OPTIONS

--ovn-northd-priority=NICE

--ovn-northd-wrapper=WRAPPER

--ovn-controller-priority=NICE

--ovn-controller-wrapper=WRAPPER

-h | --help

FILE LOCATION OPTIONS

--db-sock=SOCKET

--db-nb-file=FILE

--db-sb-file=FILE

--db-nb-schema=FILE

--db-sb-schema=FILE

--db-sb-create-insecure-remote=yes|no

--db-nb-create-insecure-remote=yes|no

--ovn-controller-ssl-key=KEY

--ovn-controller-ssl-cert=CERT

--ovn-controller-ssl-ca-cert=CERT

--ovn-controller-ssl-bootstrap-ca-cert=CERT

ADDRESS AND PORT OPTIONS

--db-nb-sync-from-addr=IP ADDRESS

--db-nb-sync-from-port=PORT NUMBER

--db-nb-sync-from-proto=PROTO

--db-sb-sync-from-addr=IP ADDRESS

--db-sb-sync-from-port=PORT NUMBER

--db-sb-sync-from-proto=PROTO

CONFIGURATION FILES

Following are the optional configuration files. If present, it should be located in the etc dir

  ovnnb-active.conf

If present, this file should hold the url to connect to the active Northbound DB server

tcp:x.x.x.x:6641

  ovnsb-active.conf

If present, this file should hold the url to connect to the active Southbound DB server

tcp:x.x.x.x:6642

  ovn-northd-db-params.conf

If present, start_northd will not start the DB server even if --ovn-manage-ovsdb=yes. This file should hold the database url parameters to be passed to ovn-northd.

--ovnnb-db=tcp:x.x.x.x:6641 --ovnsb-db=tcp:x.x.x.x:6642

RUNNING OVN DB SERVERS WITHOUT DETACHING

# ovn-ctl run_nb_ovsdb

This command runs the OVN nb ovsdb-server without passing the detach option, making it to block until ovsdb-server exits. This command will be useful for starting the OVN nb ovsdb-server in a container.

# ovn-ctl run_sb_ovsdb

This command runs the OVN sb ovsdb-server without passing the detach option, making it to block until ovsdb-server exits. This command will be useful for starting the OVN sb ovsdb-server in a container.

EXAMPLE USAGE

  Run ovn-controller on a host already running OVS

# ovn-ctl start_controller

  Run ovn-northd on a host already running OVS

# ovn-ctl start_northd

  All-in-one OVS+OVN for testing

# ovs-ctl start --system-id="random"

# ovn-ctl start_northd

# ovn-ctl start_controller

  Promote and demote ovsdb servers

# ovn-ctl promote_ovnnb

# ovn-ctl promote_ovnsb

# ovn-ctl --db-nb-sync-from-addr=x.x.x.x --db-nb-sync-from-port=6641 demote_ovnnb

# ovn-ctl --db-sb-sync-from-addr=x.x.x.x --db-sb-sync-from-port=6642 demote_ovnsb